<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:div rendered="#{pdqpdc.selectedTransaction.keyword.equals('ITI-22')}">
        <h2>#{messages['gazelle.simulator.pam.PatientsEncounters']}</h2>
        <a4j:repeat value="#{pdqpdc.selectedPatient.encounters}" var="visit">
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.VisitNumber']}</ui:define>
                    <h:outputText value="#{visit.visitNumber}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PatientClass_2']}</ui:define>
                    <h:outputText value="#{visit.patientClassCode}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml" rendered="#{visit.expectedAdmitDate != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.ExpectedAdmissionDatetime']}</ui:define>
                    <g:date value="#{visit.expectedAdmitDate}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml" rendered="#{visit.admitDate != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.AdmissionDatetime']}</ui:define>
                    <g:date value="#{visit.admitDate}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml" rendered="#{visit.transferPlannedDate != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.TransferPlannedDatetime']}</ui:define>
                    <g:date value="#{visit.transferPlannedDate}"/>
                </s:decorate>
            </dl>
            <h:outputText value="#{messages['gazelle.simulator.pam.PatientIsGoneForALeaveOfAbsence']}"
                          rendered="#{visit.leaveOfAbsence}"/>
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_display.xhtml" rendered="#{visit.leaveOfAbsenceDate != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.LeaveOfAbsenceDatetime']}</ui:define>
                    <g:date value="#{visit.leaveOfAbsenceDate}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml" rendered="#{visit.expectedLOAReturn != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.ExpectedReturnDatetime']}</ui:define>
                    <g:date value="#{visit.expectedLOAReturn}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml" rendered="#{visit.loaReturnDate != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.LoaReturnDatetime']}</ui:define>
                    <g:date value="#{visit.loaReturnDate}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml" rendered="#{visit.expectedDischargeDate != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.ExpectedDischargeDatetime']}</ui:define>
                    <g:date value="#{visit.expectedDischargeDate}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml" rendered="#{visit.dischargeDate != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.DischargeDatetime']}</ui:define>
                    <g:date value="#{visit.dischargeDate}"/>
                </s:decorate>
            </dl>
            <hr lineStyle="solid"/>
            <h3>#{messages['gazelle.simulator.pam.Doctors']}</h3>
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.AdmittingDoctor']}</ui:define>
                    <h:outputText value="#{visit.admittingDoctorCode}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.AttendingDoctor']}</ui:define>
                    <h:outputText value="#{visit.attendingDoctorCode}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.ReferringDoctor']}</ui:define>
                    <h:outputText value="#{visit.referringDoctorCode}"/>
                </s:decorate>
            </dl>
            <hr lineStyle="solid"/>
            <h3>#{messages['gazelle.simulator.pam.PatientsLocation']}</h3>
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_display.xhtml"
                            rendered="#{visit.movements.get(0).assignedPatientLocation != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.AssignedPatientLocation']}</ui:define>
                    <h:outputText value="#{visit.movements.get(0).assignedPatientLocation}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml"
                            rendered="#{visit.movements.get(0).priorPatientLocation != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PriorPatientLocation']}</ui:define>
                    <h:outputText value="#{visit.movements.get(0).priorPatientLocation}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml"
                            rendered="#{visit.movements.get(0).temporaryPatientLocation != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.TemporaryPatientLocation']}</ui:define>
                    <h:outputText value="#{visit.movements.get(0).temporaryPatientLocation}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml"
                            rendered="#{visit.movements.get(0).priorTemporaryLocation != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PriorTemporaryPatientLocation']}
                    </ui:define>
                    <h:outputText value="#{visit.movements.get(0).priorTemporaryLocation}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml"
                            rendered="#{visit.movements.get(0).pendingPatientLocation != null}">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.PendingPatientLocation']}</ui:define>
                    <h:outputText value="#{visit.movements.get(0).pendingPatientLocation}"/>
                </s:decorate>
            </dl>
        </a4j:repeat>
    </s:div>
</ui:composition>
